Subject: Re: [PATCH COMMITTED] bluetooth: hci: Fix type of "enable_hs" to bool.

From: Johan Hedberg <[email-masked]>
Date: Mon, 23 Jan 2012 13:20:26 +0200

Hi Marcel,

On Mon, Jan 23, 2012, Marcel Holtmann wrote:
> Hi Dave,
> 
> > net/bluetooth/hci_core.c: In function ‘__check_enable_hs’:
> > net/bluetooth/hci_core.c:2587:1: warning: return from incompatible pointer type [enabled by default]
> > 
> > Signed-off-by: David S. Miller <davem-fT/PcQaiUtIeIZ0/[email-masked]>
> > ---
> > 
> > I noticed this while validating the build today, committed to 'net'.
> 
> and from your subject, I assume you rightfully just applied that patch
> to your tree.
> 
> I remember that I acked such a patch, but it seems it never made it
> anywhere in the end :(

It's over here:

http://git.kernel.org/?p=linux/kernel/git/jh/bluetooth-next.git;a=commitdiff;h=174b9000541fdffbdc53cf9464efb1c8a1d777db

Johan